@import '../../../../styles/mixins';
@import '../../../../styles/props';

:host {
  display: inline-block;
}

// date control
.app-date-control {
  position: relative;
  cursor: pointer;

  input {
    @include ellipsis;
    @include paddingRight(26px);
    pointer-events: none;
    width: 100%;
    height: 32px;
  }

  .app-icon {
    @include topRight;
    @include flex(center, center);
    @include padding(0 6px);
    position: absolute;
    height: 100%;

    ::ng-deep {
      path {
        fill: $field-border;
      }
    }
  }

  app-icon-calendar-today {
    ::ng-deep {
      svg {
        width: 14px;
        height: 15px;
      }
    }
  }
}

// calendar container
.app-calendar {
  @include padding(7px);
  background-color: $white;
  box-shadow: $modal-shadow;
  position: absolute;
  width: 260px;
  z-index: 5;
}
